/*
 * $Id: ResultSet.java,v 1.3 2005/05/31 14:38:19 rampil Exp $
 * Copyright (c) 2004 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.koike.core.search;

/**
 * 検索結果要素
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class ResultSet {
	/** ドキュメントが保管されているノードID */
	private String nodeId;
	/** ドキュメントのノード内での通し番号 */
	private int docno;
	/** ページのURL */
	private String url;
	/** ドキュメントのタイトル */
	private String documentTitle;
	/** サマリー */
	private String summary;
	/** サイト名 */
	private String siteName;

	/**
	 * ドキュメントタイトルを返す
	 * @return ドキュメントタイトル
	 */
	public String getDocumentTitle() {
		return documentTitle;
	}

	/**
	 * サイト名を返す
	 * @return サイト名
	 */
	public String getSiteName() {
		return siteName;
	}

	/**
	 * サマリーを返す
	 * @return サマリー
	 */
	public String getSummary() {
		return summary;
	}

	/**
	 * URLを返す
	 * @return URL
	 */
	public String getUrl() {
		return url;
	}

	/**
	 * ドキュメントタイトルを設定する
	 * @param string ドキュメントタイトル
	 */
	public void setDocumentTitle(String string) {
		documentTitle = string;
	}

	/**
	 * サイト名を設定する
	 * @param string サイト名
	 */
	public void setSiteName(String string) {
		siteName = string;
	}

	/**
	 * サマリーを設定する
	 * @param string サマリー
	 */
	public void setSummary(String string) {
		summary = string;
	}

	/**
	 * URLを設定する
	 * @param string URL
	 */
	public void setUrl(String string) {
		url = string;
	}

	/**
	 * 文書番号を返す
	 * @return 文書番号
	 */
	public int getDocno() {
		return docno;
	}

	/**
	 * ノードIDを返す
	 * @return ノードID
	 */
	public String getNodeId() {
		return nodeId;
	}

	/**
	 * 文書番号を設定する
	 * @param i 文書番号
	 */
	public void setDocno(int i) {
		docno = i;
	}

	/**
	 * ノードIDを設定する
	 * @param string ノードID
	 */
	public void setNodeId(String string) {
		nodeId = string;
	}

}
